MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IMiscellaneousFeatures Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IMiscellaneousFeatures:

## Public Member Functions
float | ReadMirrorLedIntensity ()
| Returns mirror LED intensity. 1.0 corresponds to 100mA. More...
void | WriteMirrorLedIntensity (float ledIntensity)
| Configures mirror LED intensity. 1.0 corresponds to 100mA. More...
void | SwitchProxyFpgaClock (bool enabled)
| Disable/enable proxy FPGA clock. More...
void | SwitchCpuBoardStatusLed (bool enabled)
| Disable/enable CPU board status LED. More...
void | DumpFpgaMappedMemory ()
| Dump FPGA mapped memory. More...
void | DumpDeviceEepromMappedMemory ()
| Dump device EEPROM mapped memory. More...
int | FpgaStatusRegister ()
| Get FPGA status register. More...
void | DumpBoardEepromMappedMemory ()
| Dump board EEPROM mapped memory. More...
void | SwitchProxyBoardStatusLed (bool enabled)
| Disable/enable proxy board status LED. More...
void | ResetFirmware ()
| Resets firmware. More...
int | ReadDeviceEepromDumpSize ()
| Returns device EEPROM dump size. Amount of device EEPROM bytes to dump. More...
void | WriteDeviceEepromDumpSize (int eepromDumpSize)
| Sets device EEPROM dump size. Amount of device EEPROM bytes to dump. More...
int | ReadBoardEepromDumpSize ()
| Returns board EEPROM dump size. More...
void | WriteBoardEepromDumpSize (int eepromDumpSize)
| Sets board EEPROM dump size. Amount of device EEPROM bytes to dump. More...

## Member Function Documentation

## ◆ DumpBoardEepromMappedMemory()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.DumpBoardEepromMappedMemory | ( |  | ) |

Dump board EEPROM mapped memory.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ DumpDeviceEepromMappedMemory()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.DumpDeviceEepromMappedMemory | ( |  | ) |

Dump device EEPROM mapped memory.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ DumpFpgaMappedMemory()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.DumpFpgaMappedMemory | ( |  | ) |

Dump FPGA mapped memory.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ FpgaStatusRegister()

int MrE2ModuleSdk.Device.IMiscellaneousFeatures.FpgaStatusRegister | ( |  | ) |

Get FPGA status register.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadBoardEepromDumpSize()

int MrE2ModuleSdk.Device.IMiscellaneousFeatures.ReadBoardEepromDumpSize | ( |  | ) |

Returns board EEPROM dump size.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadDeviceEepromDumpSize()

int MrE2ModuleSdk.Device.IMiscellaneousFeatures.ReadDeviceEepromDumpSize | ( |  | ) |

Returns device EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadMirrorLedIntensity()

float MrE2ModuleSdk.Device.IMiscellaneousFeatures.ReadMirrorLedIntensity | ( |  | ) |

Returns mirror LED intensity. 1.0 corresponds to 100mA.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ResetFirmware()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.ResetFirmware | ( |  | ) |

Resets firmware.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ SwitchCpuBoardStatusLed()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.SwitchCpuBoardStatusLed | ( | bool | enabled | ) |

Disable/enable CPU board status LED.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ SwitchProxyBoardStatusLed()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.SwitchProxyBoardStatusLed | ( | bool | enabled | ) |

Disable/enable proxy board status LED.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ SwitchProxyFpgaClock()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.SwitchProxyFpgaClock | ( | bool | enabled | ) |

Disable/enable proxy FPGA clock.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteBoardEepromDumpSize()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.WriteBoardEepromDumpSize | ( | int | eepromDumpSize | ) |

Sets board EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteDeviceEepromDumpSize()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.WriteDeviceEepromDumpSize | ( | int | eepromDumpSize | ) |

Sets device EEPROM dump size. Amount of device EEPROM bytes to dump.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteMirrorLedIntensity()

void MrE2ModuleSdk.Device.IMiscellaneousFeatures.WriteMirrorLedIntensity | ( | float | ledIntensity | ) |

Configures mirror LED intensity. 1.0 corresponds to 100mA.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs